Update security settings
curl --request PUT \
--url https://app.miget.com/api/v1/apps/{uuid}/security \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"allow_connections": true,
"basic_auth_enabled": true,
"basic_auth_username": "<string>",
"basic_auth_password": "<string>"
}
'import requests
url = "https://app.miget.com/api/v1/apps/{uuid}/security"
payload = {
"allow_connections": True,
"basic_auth_enabled": True,
"basic_auth_username": "<string>",
"basic_auth_password": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_connections: true,
basic_auth_enabled: true,
basic_auth_username: '<string>',
basic_auth_password: '<string>'
})
};
fetch('https://app.miget.com/api/v1/apps/{uuid}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Apps
Update security settings
Configures the application’s network security settings, including whether to allow internal connections from other applications in your workspace, and Basic Authentication settings.
PUT
/
api
/
v1
/
apps
/
{uuid}
/
security
Update security settings
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
Application UUID
Body
application/json
Update security settings
Allow other applications on the same resource (miget) to connect to this app over the internal network
Enable Basic Authentication for the application
Username for Basic Authentication (required when basic_auth_enabled is true)
Password for Basic Authentication (required when basic_auth_enabled is true, leave blank to keep current password)
Response
Update security settings
Api_V1_Entities_Message model
Response message
⌘I

